DKBSignDocs

API reference

PATCHRequires Bearer token

Change password

/api/v1/profile/{user}/update-password

Update `/api/v1/profile/{user}/update-password`. Authenticated routes need `Authorization: Bearer {token}` from `POST /api/v1/login`.

Path parameters

FieldTypeDescription
user
Required
stringPath parameter `user`.

Query parameters

This endpoint has no query parameters.

Request body

FieldTypeDescription
current_password
Required
stringCurrent password.
password
Required
stringNew password.

Responses

StatusMeaning
500See the example response.

Request

curl
curl -X PATCH 'https://api.dkbsigns.com/api/v1/profile/user/update-password' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"current_password":"current_password","password":"password"}'

Response 200

json
{
  "status": "success",
  "message": "Upstream response is forwarded unchanged."
}